Skip to main content
GET
/
api
/
v1
/
user
/
rewards
cURL
curl --request GET \
  --url https://api.ekiden.fi/api/v1/user/rewards \
  --header 'Authorization: Bearer <token>'
{
  "current_week": {
    "bonus_ps": "<string>",
    "final_ps": "<string>",
    "finalized": true,
    "own_ps": "<string>",
    "week_end": 123,
    "week_start": 123,
    "xp": "<string>"
  },
  "history": [
    {
      "bonus_ps": "<string>",
      "final_ps": "<string>",
      "finalized": true,
      "own_ps": "<string>",
      "week_end": 123,
      "week_start": 123,
      "xp": "<string>"
    }
  ],
  "ledger": [
    {
      "created_at": 123,
      "delta_xp": 123,
      "ledger_id": "<string>",
      "metadata_json": "<unknown>",
      "reason": "<string>",
      "run_id": "<string>"
    }
  ],
  "xp_balance": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.ekiden.fi/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer<int32> | null
Required range: x >= 0

Response

200 - application/json

Reward summary

current_week
object
required
history
object[]
required
ledger
object[]
required
xp_balance
integer<int64>
required